%octave
xmin=-3.5;
xstart=-3;
xend=4;
xmax=4.5;
xpas=0.5;
xplotstep=0.005;
ymin=-2.5;
ymax=2.5;
ypas=0.5;
xf = [xstart:xplotstep:xend];
xp = [-3,-2,0,1,2,2.5,4];
yp = [2,1,0,1,1.5,1,-2];
pp = interp1 (xp, yp, "cubic",'pp');
cub=ppval(pp,xf);
%graphics_toolkit ("fltk")
graphics_toolkit ("gnuplot");
%set (0, "defaultlinelinewidth", 3);
plot (xf, cub,"k", xp, yp, "kx",'markersize',7);
%legend ("courbe","points");
axis([xmin,xmax, ymin, ymax])
grid('on');
set(get(gcf,'children'), 'linewidth', 3 )
box('off');
set (gca, "xaxislocation", "zero","yaxislocation", "zero")
xtp=[xmin:xpas:xmax];
ytp=[ymin:ypas:ymax];
xl={};
yl={};
for i = 1:length(xtp)
  xl{i}=' ';
end
for i = 1:length(ytp)
  yl{i}=' ';
end
xl{2}='-3';
xl{4}='-2';
xl{10}='1';
xl{12}='2';
xl{16}='4';
yl{2}='-2';
yl{4}='-1';
yl{8}='1';
text (-0.2, -.2, 'O','FontSize',20)
text(xmax-xpas/3,-ypas/2,'x','FontSize',20)
text(-xpas/2,ymax-ypas/3,'y','FontSize',20)
set(gca,'XTick',xtp,'YTick',ytp)
set(gca,'XTickLabel',xl,'YTickLabel',yl)
set(gca,'FontSize',20)
print -dpdf 2012_2_DS06_fig3
close
